Skip to main content
GET
/
test_framework
/
v1
/
scenarios
/
folders
/
cURL
curl --request GET \
  --url https://api.cekura.ai/test_framework/v1/scenarios/folders/ \
  --header 'X-CEKURA-API-KEY: <api-key>'
import requests

url = "https://api.cekura.ai/test_framework/v1/scenarios/folders/"

headers = {"X-CEKURA-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-CEKURA-API-KEY': '<api-key>'}};

fetch('https://api.cekura.ai/test_framework/v1/scenarios/folders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "name": "<string>",
      "path": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "https://api.cekura.ai/example/v1/example-external/?page=4",
  "previous": "https://api.cekura.ai/example/v1/example-external/?page=3"
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

project_id
integer
required

Project ID to list folders for

parent_path
string

Parent folder path to get direct children only. Example: "Sales.Inbound"

Search folders by name (case-insensitive)

agent_id
integer

Tenant scope. Supply one of agent_id, project_id, assistant_id when authenticating with a user session or OAuth bearer token; omit when using an API key already scoped to the tenant.

assistant_id
string

Tenant scope. Supply one of agent_id, project_id, assistant_id when authenticating with a user session or OAuth bearer token; omit when using an API key already scoped to the tenant.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"